Suche
  • Online1x1 - Web, SEO & Social Media
  • mail@online1x1.de / 089-97898139
Suche Menü

Fehlermeldung bei WordPress-Installation wegen „falscher“ PHP-Version

Fehlermeldung bei WordPress-Installation wegen "falscher" PHP-Version

Bei der Installation einer neuen PHP-Datenbank kommt es in seltenen Fällen zu einer seltsamen Fehlermeldung.

Das Problem

Vor Kurzem habe ich meine erste Website, das Cash1x1-Portal, von einer statischen HTML-Seite in eine dynamische WordPress-Page umgebaut. Dafür legt man zuerst eine SQL-Datenbank auf dem eigenen Webspace an, lädt die WordPress-Dateien hoch und startet dann die Installation direkt auf dem Server.  Gesagt getan, allerdings erschien beim Start der Installation immer nur folgende Fehlermeldung:

„Dein Server läuft mit der PHP-Version 4.4.4-8+etch6, aber WordPress 3.3 benötigt mindestens die Version 5.2.4.“

Hm … ich war mir sicher das die von mir installierte SQL-Datenbank die Version 5.0 hat. Aber ok, kann ja mal passieren das man da was falsch macht. Also habe ich eine neue Datenbank angelegt, genau drauf geachtet das ich die richtige Version erwische und wieder die Installation gestartet. Leider mit dem gleichen o.g. Ergebnis.

Die Lösung

Nach einigem Hin und Her, Google hat mir auch nicht weiter helfen können, hab ich dann mal den Support vom Hoster meines Vertrauens angeschrieben. Der hatte eine Interessante Erklärung, nämlich das PHP-Dateien in der Version 5.0 auch die entsprechende Endung „.php5“ haben müssen. Wenn dies nicht der Fall ist, schafft ein Eintrag in der .htaccess-Datei Abhilfe:

AddHandler php5-script .php

Nach der Aktualisierung der .htaccess-Datei lief die Installation problemlos.

Eine Frage bleibt aber noch …

Ich habe schon andere WordPress-Projekte installiert mit den identischen Dateien, der identischen WordPress- und PHP-Version … aber da kam es nicht zu diesem Fehler. Hat einer von euch zufällig eine Erklärung dafür?

Bewertung des Artikels: 1 Star2 Stars3 Stars4 Stars5 Stars
Insgesamt 4,50 von 5,00 Punkten, basieren auf 4 abgegebenen Stimmen.

Bitte bewerte auch Du den Artikel ...
Loading...

Schreibe einen Kommentar

Pflichtfelder sind mit * markiert.


Durch die Nutzung der Seite stimmst du der Verwendung von Cookies zu. Weitere Informationen

Diese Webseite verwendet so wenig Cookies wie möglich, aber ganz ohne sie geht es fast nicht mehr. Deshalb sind die Cookie-Einstellungen auf dieser Website auf "Cookies zulassen" eingestellt, um das beste Surferlebnis für Dich zu ermöglichen. Wenn Du diese Website verwenden willst und auf "Akzeptieren" klickst, erklärst du sich damit einverstanden.

Schließen